"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var parseLrc_1 = require("./parseLrc");
function useLrc(lrc) {
    var lines = (0, react_1.useMemo)(function () {
        var lyric = (0, parseLrc_1.ParseLrc)(lrc).split('\n');
        return lyric.map(function (item, index) {
            var text = item.replace(/\[\d+,\d+\]/g, '');
            if (index === 0) {
                text = "<div class=\"sabahna-lrc\"  data-delay=\"0ms\" style=\"--my-delay: 0ms;\">".concat(text, "</div>");
            }
            var match = item.match(/^\[(\d+),(\d+)\]/);
            var data;
            if (match != null) {
                var timestamp = parseInt(match[1], 10);
                data = {
                    content: text,
                    delay: timestamp,
                };
            }
            return data;
        });
    }, [lrc]);
    return lines;
}
exports.default = useLrc;
//# sourceMappingURL=useLrc.js.map