import { useMemo } from 'react';
import { ParseLrc } from './parseLrc';
export default function useLrc(lrc) {
    var lines = useMemo(function () {
        var lyric = ParseLrc(lrc).split('\n');
        return lyric.map(function (item, index) {
            var text = item.replace(/\[\d+,\d+\]/g, '');
            if (index === 0) {
                text = "<div class=\"sabahna-lrc\"  data-delay=\"0ms\" style=\"--my-delay: 0ms;\">".concat(text, "</div>");
            }
            var match = item.match(/^\[(\d+),(\d+)\]/);
            var data;
            if (match != null) {
                var timestamp = parseInt(match[1], 10);
                data = {
                    content: text,
                    delay: timestamp,
                };
            }
            return data;
        });
    }, [lrc]);
    return lines;
}
//# sourceMappingURL=useLrc.js.map